Skip to main content
GET
/
v1
/
disputes
/
{dispute_id}
Get Dispute
curl --request GET \
  --url https://api.withflex.com/v1/disputes/{dispute_id} \
  --header 'Authorization: Bearer <token>'
{
  "dispute": {
    "dispute_id": "obj_01EXAMPLE00000000000000000",
    "payment_intent_id": "obj_01EXAMPLE00000000000000000",
    "amount": 0,
    "currency": "usd",
    "charge_id": "obj_01EXAMPLE00000000000000000",
    "metadata": {},
    "created_at": "2024-01-01T00:00:00Z",
    "status": "lost",
    "reason": "bank_cannot_process",
    "is_charge_refundable": false,
    "evidence": {
      "access_activity_log": "string",
      "customer_name": "string",
      "customer_email_address": "string",
      "customer_purchase_ip": "string",
      "billing_address": "string",
      "shipping_address": "string",
      "shipping_tracking_number": "string",
      "shipping_carrier": "string",
      "shipping_date": "string",
      "service_date": "string",
      "product_description": "string",
      "refund_policy_disclosure": "string",
      "refund_refusal_explanation": "string",
      "cancellation_policy_disclosure": "string",
      "cancellation_rebuttal": "string",
      "duplicate_charge_explanation": "string",
      "duplicate_charge_id": "string",
      "uncategorized_text": "string"
    },
    "evidence_details": {
      "due_by": "2024-01-01T00:00:00Z",
      "has_evidence": false,
      "past_due": false,
      "submission_count": 0
    },
    "balance_transactions": [
      {}
    ],
    "payment_method_details": {
      "type": "string"
    },
    "test_mode": false,
    "client_reference_id": "obj_01EXAMPLE00000000000000000"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

dispute_id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

dispute
object
required

A dispute represents a customer's challenge to a payment. Maps to Stripe's Dispute object with additional Flex-specific fields.

Example:
{
"dispute_id": "obj_01EXAMPLE00000000000000000",
"payment_intent_id": "obj_01EXAMPLE00000000000000000",
"amount": 0,
"currency": "usd",
"charge_id": "obj_01EXAMPLE00000000000000000",
"metadata": {},
"created_at": "2024-01-01T00:00:00Z",
"status": "lost",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"evidence": {
"access_activity_log": "string",
"customer_name": "string",
"customer_email_address": "string",
"customer_purchase_ip": "string",
"billing_address": "string",
"shipping_address": "string",
"shipping_tracking_number": "string",
"shipping_carrier": "string",
"shipping_date": "string",
"service_date": "string",
"product_description": "string",
"refund_policy_disclosure": "string",
"refund_refusal_explanation": "string",
"cancellation_policy_disclosure": "string",
"cancellation_rebuttal": "string",
"duplicate_charge_explanation": "string",
"duplicate_charge_id": "string",
"uncategorized_text": "string",
"customer_communication": { "file_id": "string", "filename": "string" },
"customer_signature": { "file_id": "string", "filename": "string" },
"shipping_documentation": { "file_id": "string", "filename": "string" },
"receipt": { "file_id": "string", "filename": "string" },
"duplicate_charge_documentation": { "file_id": "string", "filename": "string" },
"service_documentation": { "file_id": "string", "filename": "string" },
"uncategorized_file": { "file_id": "string", "filename": "string" },
"cancellation_policy": { "file_id": "string", "filename": "string" },
"refund_policy": { "file_id": "string", "filename": "string" }
},
"evidence_details": {
"due_by": "2024-01-01T00:00:00Z",
"has_evidence": false,
"past_due": false,
"submission_count": 0
},
"balance_transactions": [
{
"balance_transaction_id": "obj_01EXAMPLE00000000000000000",
"amount": 0,
"fee": 0,
"net": 0,
"status": "available",
"type": "string",
"reporting_category": "string",
"category": "string",
"created_at": "2024-01-01T00:00:00Z"
}
],
"payment_method_details": {
"type": "string",
"card": {
"brand": "visa",
"network_reason_code": "string"
}
},
"test_mode": false,
"client_reference_id": "obj_01EXAMPLE00000000000000000"
}